diff deploy/linux/build-and-test-appimage.sh @ 1924:6ec18c2566e7

Attempt to thread the appimage build/test together
author Chris Cannam
date Tue, 03 Jul 2018 14:13:27 +0100
parents
children b12e5a6be81f
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/linux/build-and-test-appimage.sh	Tue Jul 03 14:13:27 2018 +0100
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Docker required
+
+set -eu
+
+current=$(hg id | awk '{ print $1; }')
+
+case "$current" in
+    *+) echo "ERROR: Current working copy has been modified - unmodified copy required so we know we can check it out separately and obtain the same contents"; exit 2;;
+    *);;
+esac
+
+echo
+echo -n "Building appimage from revision $current..."
+
+dockerdir=deploy/linux/docker
+
+cat "$dockerdir"/Dockerfile_appimage.in | \
+    perl -p -e "s/\[\[REVISION\]\]/$current/g" > \
+         "$dockerdir"/Dockerfile_appimage.gen
+
+cat "$dockerdir"/Dockerfile_test_appimage.in | \
+    perl -p -e "s/\[\[REVISION\]\]/$current/g" > \
+         "$dockerdir"/Dockerfile_test_appimage.gen
+
+"$dockerdir"/build.sh appimage
+
+sudo docker build -f "$dockerdir"/Dockerfile_test_appimage.gen "$dockerdir"